Summary: 	Perl module for context-sensitive phonetic string replacement
Name: 		perl-ccom
Version: 	1.4.1
Release: 	2%{?dist}.1
License: 	LGPLv2+
Group: 		Development/Libraries
URL: 		http://www.heise.de/ct/ftp/99/25/252/
Source:		ftp://ftp.heise.de/pub/ct/listings/phonet.tgz
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A perl module for context-sensitive phonetic string replacement to modify
strings according to predefined replacement rules in such a way that words
with the same pronunciation (e.g. "tail" and "tale") are converted to the
same string. This can, for example, be used to implement error-tolerant
search routines in address databases. It contains phonetic rules for German
only, but the software has been prepared for multi-language support.
                                                                                                        
%prep
%setup -q -c -n %{name}

# Clean the strange packaging first
mv -f ccom*/* .
chmod 644 *.xs ccomlib/*

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

# Change man page encoding into UTF-8
iconv -f latin1 -t utf-8 -o blib/man3/ccom.3pm.new blib/man3/ccom.3pm
mv -f blib/man3/ccom.3pm.new blib/man3/ccom.3pm

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# Fix incorrect permissions
chmod 644 Changes readme_perl.txt ccom_test.pl

# Fix incorrect end-of-line encoding
sed -e 's/\r//' -i copying.lib -i readme_perl.txt

# Fix incorrect interpreter path
sed -e 's@#! /opt/perl5/bin/perl@#!%{_bindir}/perl@' -i ccom_test.pl

# Remove test/example from regulars
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/ccom_test.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes copying.lib readme_perl.txt ccom_test.pl
%{_mandir}/man3/*.3pm*
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/ccom
%{perl_vendorarch}/*.pm

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.1-2
Rebuild for new perl

* Thu Jan 31 2008 Robert Scheck <robert@fedoraproject.org> 1.4.1-1
- Upgrade to 1.4.1
- Initial spec file for Fedora and Red Hat Enterprise Linux
